﻿using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using Microsoft.Phone.Controls;
using Telerik.Windows.Controls;

namespace TelerikWindowsPhoneApp2
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            this.InitializeComponent();
            this.img.Loaded += this.img_Loaded;
        }

        private async void img_Loaded(object sender, RoutedEventArgs e)
        {
            var bitmap = new BitmapImage(new Uri("image.png", UriKind.Relative));
            var tool = new TextTool();
            tool.Text = "Enter Text Here!";
            tool.Foreground = new SolidColorBrush(Colors.Red);
            tool.FontSize = 20;
            tool.TextPosition = new Point(0.1, 0.1);
            tool.PreviewImage = new WriteableBitmap(300, 450);
            this.img.Source = await tool.Apply(bitmap);
        }
    }
}